## com.google.javascript.jscomp
Enum SourceExcerptProvider.SourceExcerpt

    java.lang.Object
      java.lang.Enum<SourceExcerptProvider.SourceExcerpt>
          com.google.javascript.jscomp.SourceExcerptProvider.SourceExcerpt

All Implemented Interfaces:
  Serializable, Comparable<SourceExcerptProvider.SourceExcerpt>

Enclosing interface:
  SourceExcerptProvider

    public static enum SourceExcerptProvider.SourceExcerpt

extends Enum<SourceExcerptProvider.SourceExcerpt>

Source excerpt variety.

Enum Constant Summary
`LINE` Line excerpt.
`REGION` Region excerpt.

Method Summary
`abstract String` | `get(SourceExcerptProvider source, String sourceName, int lineNumber, SourceExcerptProvider.ExcerptFormatter formatter)` Get a source excerpt string based on the type of the source excerpt.
`static SourceExcerptProvider.SourceExcerpt` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SourceExcerptProvider.SourceExcerpt[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LINE

    public static final SourceExcerptProvider.SourceExcerpt LINE

  Line excerpt.

### REGION

    public static final SourceExcerptProvider.SourceExcerpt REGION

  Region excerpt.

Method Detail

### values

    public static SourceExcerptProvider.SourceExcerpt[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SourceExcerptProvider.SourceExcerpt c : SourceExcerptProvider.SourceExcerpt.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SourceExcerptProvider.SourceExcerpt valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public abstract String get(SourceExcerptProvider source,
                               String sourceName,
                               int lineNumber,
                               SourceExcerptProvider.ExcerptFormatter formatter)

  Get a source excerpt string based on the type of the source excerpt.